extends Spatial

func _process(delta):
#	if !$skeleton/Skeleton.has_node("cap"):
	var g = Vector3(0, -1, 0)
	var p = global_transform
	p.origin = Vector3()
	var dg = p.xform_inv(g)
	$AnimationTree["parameters/0/blend_position"] = Vector2(-dg.z, dg.y)
	$AnimationTree["parameters/blend_position"] = dg.x
